MUTTPROFILE(1)

NAME
muttprofile - Choose a Mutt Profile

SYNOPSIS
muttprofile [-a|--active string] [-d|--dir directory] [-h|--help] [-p|--profile regexp] [-v|--view] [-V|--Version] [profile]

DESCRIPTION
muttprofile is a simple utility to choose a profile to be used with Mutt email-client. It has two operating modes: command-line and interactive. Muttprofile goes to interactive mode if no command-line arguments are present or option -v|--view is present without profile name.

Muttprofile looks for profile files in the Mutt directory, opens them and looks for NAME and DESC definitions. It then creates a symbolic link to the profile chosen by the user. The rest of the work is done with a Mutt macro.

USAGE
Interactive mode:

Type the name of the profile and the program creates a symlink to load the profile. Press <tab> to complete, <ctrl-d> to see list of choices.

Command-line options:

-a | --active Set the name for active profile symlink, default is profile.active

-d | --dir Set the Mutt directory, default is ~/.mutt

-h | --help prints a short help and exits

-p | --profile (Perl) Regexp to match profile files in Mutt directory

-v | --view Instead of creating a symlink, view profile contents

-V | --version prints the version information and exits (use --version for long and -V for short version)

profile if profile exits, create the symlink to load it from Mutt, otherwise exit with error

INSTALL
Muttprofile requires no installation, but you might have to check the first line of the file ("#!/usr/bin/perl -w") and change the path to perl if needed ('which perl' might be useful here :-)

SETTING UP PROFILES
Muttprofile checks the profile files for the following information:

# NAME: name for your profile

# DESC: description of your profile

This information is used for choosing and displaying available profiles. DESC is optional, but if NAME is missing, filename is used instead.

USING MUTTPROFILE FROM MUTT
Perhaps the easiest way to invoke muttprofile from mutt is to bind a key with mutt macro command. For example, adding this to your muttrc-file

macro    index    <F10>    "!muttprofile\n:source ~/.mutt/profile.active\nm" "New message with profile"

binds the function key <F10> to start muttprofile, load the profile and start a new message

EXIT CODES
The default exit codes for muttprofile are:

    0 OK
    1 PROFILE ALREADY ACTIVE
    2 ERROR

These codes can be used in shell scripts etc.

FURTHER INFORMATION
Discussion of profiles with Mutt: http://www.iki.fi/martti.rahkila/mutt/

Mutt home page: http://www.mutt.org

MODULES
muttprofile uses the perl modules "Term::Complete" and "Getopt::Long" that both come with the Perl distribution.

LICENCE
muttprofile is distibuted under GNU General Public Licence (GPL), same as Mutt. For details, see http://www.gnu.org/copyleft/gpl.html

BUGS
None known so far. Inevitably to appear sooner or later.

VERSION

1.0.0 (current)
    First public release.

2000-05-10 Martti Rahkila

AUTHOR
  Martti Rahkila
  martti.rahkila@iki.fi
  http://www.iki.fi/martti.rahkila/mutt

SEE ALSO
mutt(1), perl(1)